Bug 16866 - Catch warning t/db_dependent/Languages.t
Summary: Catch warning t/db_dependent/Languages.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Mark Tompsett
QA Contact: Galen Charlton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-06 19:19 UTC by Mark Tompsett
Modified: 2017-12-07 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16866: Catch warning t/db_dependent/Languages.t (1.44 KB, patch)
2016-07-06 19:22 UTC, Mark Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16866: Catch warning t/db_dependent/Languages.t (1.53 KB, patch)
2016-07-07 13:48 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16866: Catch warning t/db_dependent/Languages.t (1.58 KB, patch)
2016-07-07 15:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Tompsett 2016-07-06 19:19:48 UTC
The C4::Languages::accept_language() call triggers a warning, which is uncaught. Catch it as a new test, so the output is cleaner.
Comment 1 Mark Tompsett 2016-07-06 19:22:04 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-07-07 13:48:40 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-07 15:50:36 UTC
Created attachment 53185 [details] [review]
Bug 16866: Catch warning t/db_dependent/Languages.t

TEST PLAN
---------
1) prove t/db_dependent/Languages.t
   -- noisy output
2) apply patch
3) prove t/db_dependent/Languages.t
   -- no noise
4) run koha qa test tools.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
No noisy output

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-07-08 14:51:02 UTC
Pushed to master for 16.11, thanks Mark!
Comment 5 Frédéric Demians 2016-08-01 13:36:41 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-17 08:43:34 UTC
Patches pushed to 3.22.x, will be in 3.22.10